VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Properties
VisimBox.StringParser Class Reference

String parser helper object. More...

List of all members.

## Public Member Functions
| StringParser (string str, CultureInfo cff)
| String parser from string, using ' ' as delimiter.
| StringParser (string str)
| String parser from string, using ' ' as delimiter.
| StringParser (string str, char delimiter)
| String parser from string with special delimiter.
| StringParser (string str, char[] delimiters)
| String parser from string with array of delimiters.
string | GetWord (int idx)
| Returns word with specified index.
bool | IsFloat (int idx)
| Returns true if word on index is float.
bool | IsInteger (int idx)
| Returns true if word on index is integer.
float | GetFloat (int idx)
| Returns float value of word on specified index.
int | GetInteger (int idx)
| Returns integer value of word on specified index.
## Public Attributes
CultureInfo | cf
## Protected Member Functions
| StringParser ()
| No default constructor allowed.
## Protected Attributes
string | BasicString
string[] | _Words
char[] | Delimiter
## Properties
int | WordCount`[get]`
| Number of words in string.
string | this[int index]`[get]`

## Detailed Description

String parser helper object.

## Constructor & Destructor Documentation

VisimBox.StringParser.StringParser | ( |  | ) | `[protected]`

No default constructor allowed.

VisimBox.StringParser.StringParser | ( | string | str,
|  | CultureInfo | cff
| ) |  |

String parser from string, using ' ' as delimiter.

Parameters:

  str | Source string

VisimBox.StringParser.StringParser | ( | string | str | ) |

String parser from string, using ' ' as delimiter.

Parameters:

  str | Source string

VisimBox.StringParser.StringParser | ( | string | str,
|  | char | delimiter
| ) |  |

String parser from string with special delimiter.

Parameters:

  str | Source string
  delimiter | char delimiter

VisimBox.StringParser.StringParser | ( | string | str,
|  | char[] | delimiters
| ) |  |

String parser from string with array of delimiters.

Parameters:

  str | source string
  delimiters | Delimiter array

## Member Function Documentation

float VisimBox.StringParser.GetFloat | ( | int | idx | ) |

Returns float value of word on specified index.

Parameters:

  idx | required index

Returns:
  float value or float.NaN

int VisimBox.StringParser.GetInteger | ( | int | idx | ) |

Returns integer value of word on specified index.

Parameters:

  idx | required index

Returns:
  integer value or 0 if not integer

string VisimBox.StringParser.GetWord | ( | int | idx | ) |

Returns word with specified index.

Parameters:

  idx | required index

Returns:
  Word or null if index out of range

bool VisimBox.StringParser.IsFloat | ( | int | idx | ) |

Returns true if word on index is float.

Parameters:

  idx | required index

Returns:
  True if float

bool VisimBox.StringParser.IsInteger | ( | int | idx | ) |

Returns true if word on index is integer.

Parameters:

  idx | required index

Returns:
  True if integer

## Member Data Documentation

string [] VisimBox.StringParser._Words`[protected]`

string VisimBox.StringParser.BasicString`[protected]`

CultureInfo VisimBox.StringParser.cf

char [] VisimBox.StringParser.Delimiter`[protected]`

## Property Documentation

string VisimBox.StringParser.this[int index]`[get]`

int VisimBox.StringParser.WordCount`[get]`

Number of words in string.

The documentation for this class was generated from the following file:

- StringParser.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events